#!/bin/bash

# TODO: Support other ffmpeg versions/distros
if [ ! -f "/usr/lib/x86_64-linux-gnu/libavformat.so.57" ] \
    || [ ! -f "/usr/lib/x86_64-linux-gnu/libavcodec.so.57" ] \
    || [ ! -f "/usr/lib/x86_64-linux-gnu/libavutil.so.55" ]; then
    echo "Please ensure you have the following libraries installed:"
    echo "    libavcodec"
    echo "    libavformat"
    echo "    libavutil"
    exit 1
fi

export LD_LIBRARY_PATH=./bin

pushd bin

if [ ! -f "libavformat.so" ]; then
    ln -s /usr/lib/x86_64-linux-gnu/libavformat.so.57 ./libavformat.so
fi
if [ ! -f "libavcodec.so" ]; then
    ln -s /usr/lib/x86_64-linux-gnu/libavcodec.so.57 ./libavcodec.so
fi
if [ ! -f "libavutil.so" ]; then
    ln -s /usr/lib/x86_64-linux-gnu/libavutil.so.55 ./libavutil.so
fi

./kit-remote $@
popd
